{# Copyright (c) 2015 Jessica Tallon & Matt Molyneaux. This file is part of Inboxen. Licensed under the terms of the GNU AGPL, as published by the FSF, version 3 the or later #}
{% extends 'inboxen/base.html' %}
{% load i18n inboxen_flags %}

{% block header %}{% include "search/includes/refresh.html" %}{% endblock %}

{% block headline %}{% trans "Home" %}{% endblock %}

{% block breadcrumbs %}
    <ul class="breadcrumb">
        {% if query %}
        <li><a href="{% url 'user-home' %}">{% blocktrans trimmed %}{{ user }}'s Home{% endblocktrans %}</a></li>
        <li class="active">{% blocktrans trimmed %}Search: {{ query }}{% endblocktrans %}</li>
        {% else %}
        <li class="active">{% blocktrans trimmed %}{{ user }}'s Home{% endblocktrans %}</li>
        {% endif %}
    </ul>
{% endblock %}

{% block content %}
<form id="inboxen-search-box" class="form" action="{% url "user-home-search" %}">
    <div class="input-group">
        <label for="search" class="sr-only">Search Inboxes</label>
        <input id="search" type="text" class="form-control" name="q" value="{{ query }}">
        <span class="input-group-btn">
            <button class="btn btn-default">Search</button>
        </span>
    </div>
</form>
{% if not waiting %}
    <a id="add-inbox" class="btn btn-primary" href="{% url 'inbox-add' %}" data-form-url="{% url 'form-inbox-add' %}"><span class="fa" aria-hidden="true"></span>{% trans "Add Inbox" %}</a>
    {% with col0="col-md-5 col-xs-7" col2="col-md-2 col-xs-3" col3="col-md-1 col-md-push-4 col-xs-2" col4="col-md-4 col-md-pull-1 col-xs-12" %}
    <div id="inbox-list" class="honeydew" data-inbox-name=".inbox-name a" data-button-container=".inbox-options > form" data-children=".row" data-button-classes="close" data-button-title="{% trans "Copy inbox address to clipboard" %}">
        <div class="row title">
            <div class="{{ col0 }}">{% trans "Inbox" %}</div>
            <div class="{{ col2 }}">{% trans "Last activity" %}</div>
            <div class="{{ col3 }} hidden-xs hidden-sm">&nbsp;</div>
            <div class="{{ col4 }} hidden-xs hidden-sm">{% trans "Description" %}</div>
        </div>
        {% if not query %}
        <div id="unified" class="row">
            <span class="clickable">
                <div class="{{ col0 }}">
                    <div class="row">
                        <div class="inbox-name col-xs-12 col-sm-8"><a href="{% url 'unified-inbox' %}">{% trans "Unified Inbox" %}</a></div>
                        <div class="inbox-flags col-xs-12 col-sm-4">{{ user.inboxenprofile.get_bools_for_labels|render_flags }}</div>
                    </div>
                </div>
                <div class="{{ col2 }}">&nbsp;</div>
                <div class="{{ col3 }}">&nbsp;</div>
            </span>
            <span class="clickable"><div class="{{ col4 }}">&nbsp;</div></span>
        </div>
        {% endif %}
        {% for inbox in page_obj.object_list %}
            {% include "inboxen/includes/inbox_line.html" with inbox=inbox.inbox domain=inbox.domain.domain flags=inbox.get_bools_for_labels last_activity=inbox.last_activity desc=inbox.description %}
        {% empty %}
            <div class="row empty-message">
            {% if query %}
                <div class="col-xs-12">{% blocktrans trimmed %}No inboxes found containing <i>{{ query }}</i>{% endblocktrans %}</div>
            {% else %}
                    <div class="col-xs-12">{% trans "Click here to add an Inbox" %}</div>
            {% endif %}
            </div>
        {% endfor %}
    </div>
    {% endwith %}
    {% if page_obj.has_previous or page_obj.has_next %}
    <nav aria-labelledby="home-pager">
        <h2 id="home-pager" class="sr-only">{% trans "Inbox list navigation" %}</h2>
        <ul class="pager">
            {% if page_obj.has_previous %}
                <li class="previous"><a href="{% url 'user-home' page=page_obj.previous_page_number %}">
                    <span aria-hidden="true">&laquo;</span> {% trans "Previous" %}
                </a></li>
            {% endif %}
            {% if page_obj.has_next %}
                <li class="next"><a href="{% url 'user-home' page=page_obj.next_page_number %}">
                    {% trans "Next" %} <span aria-hidden="true">&raquo;</span>
                </a></li>
            {% endif %}
        </ul>
    </nav>
    {% elif has_next or has_previous %}
    {% url "user-home-search" query=query as search_url %}
    <nav aria-labelledby="inbox-pager">
        <h2 id="home-pager" class="sr-only">{% trans "Inbox list navigation" %}</h2>
        <ul class="pager">
            {% if has_previous %}
                <li class="previous"><a href="{{ search_url }}?before={{ first }}">
                    <span aria-hidden="true">&laquo;</span> {% trans "Previous" %}
                </a></li>
            {% endif %}
            {% if has_next %}
                <li class="next"><a href="{{ search_url }}?after={{ last }}">
                    {% trans "Next" %} <span aria-hidden="true">&raquo;</span>
                </a></li>
            {% endif %}
        </ul>
    </nav>
    {% endif %}
{% else %}
    {% include "search/includes/status.html" %}
{% endif %}
{% endblock %}
